Автор Тема: Свершилось то, чего программеры ждали 2 года - Code::Blocks 10.05  (Прочитано 2713 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Bodjo

  • Гость
Наконец то, вышел новый релиз Code::Blocks, до 2008 года я пользовался ток им, но потом перешел на CodeLite, который очень быстро "обогнал" С::В по функционалу.
Посмотрим терь, что нового КодБлоксе, может самое время возвращаться опять в С::В ))))

http://www.codeblocks.org/

Оффлайн Morbid_Dezir

  • БК
  • *
  • Пол: Мужской
  • Трололо :D
>Наконец то, вышел новый релиз Code::Blocks
http://lurkmore.ru/Nobody_cares
Всё зависит от прямоты рук и кривизны извилин

Оффлайн devidark

  • Редкий гость
Наконец то, вышел новый релиз Code::Blocks, до 2008 года я пользовался ток им, но потом перешел на CodeLite, который очень быстро "обогнал" С::В по функционалу.
Посмотрим терь, что нового КодБлоксе, может самое время возвращаться опять в С::В ))))

http://www.codeblocks.org/
Ну и как, потестил? Теперь будешь изменять с С::В подружке-CodeLite?..  :)
Вероятность того, что человеческая разумность развилась
из химического ила первобытного океана благодаря
всего-навсего случайной последовательности химических
процессов, кто-то очень удачно сравнил с вероятностью
того, что ураган, пронесшийся сквозь гигантскую помойку,
случайно соберет "Боинг"

Bodjo

  • Гость
Наконец то, вышел новый релиз Code::Blocks, до 2008 года я пользовался ток им, но потом перешел на CodeLite, который очень быстро "обогнал" С::В по функционалу.
Посмотрим терь, что нового КодБлоксе, может самое время возвращаться опять в С::В ))))

http://www.codeblocks.org/
Ну и как, потестил? Теперь будешь изменять с С::В подружке-CodeLite?..  :)

:( Не могу в Убунту установить, в депозитарии нет, а с сайта не запускается :( в винду не хочу даж заходить......

Bodjo

  • Гость
Одно расстройство  :(

Bodjo

  • Гость
Разобрался, Code::Blocks требует wxGTK-2.8.10, а у меня установлена wxGTK-2.8.11 да еще и статическая.....
Придется копилировать и собирать в ручную....

Оффлайн devidark

  • Редкий гость
Разобрался, Code::Blocks требует wxGTK-2.8.10, а у меня установлена wxGTK-2.8.11 да еще и статическая.....
Придется копилировать и собирать в ручную....
IMHO, Qt Creator-таки рулит. ::) Ибо на моей практике он себя стабильнее всех ведёт (в отличие от С::В, КДевелоп и НетБинс). ;)
Единственное, что меня расстраивает в креаторе - это то, что алиасы пространств имён не рюхает... У них баг такой давно уже заведён, версия новая вышла, а баг не пофиксили, жадины...  >:(

ЗЫ: Ты как потестишь, сообщи результаты, ОК? Интересно...  :)
« Последнее редактирование: 05 Июня 2010, 00:19:13 от devidark »
Вероятность того, что человеческая разумность развилась
из химического ила первобытного океана благодаря
всего-навсего случайной последовательности химических
процессов, кто-то очень удачно сравнил с вероятностью
того, что ураган, пронесшийся сквозь гигантскую помойку,
случайно соберет "Боинг"

Bodjo

  • Гость
Разобрался, Code::Blocks требует wxGTK-2.8.10, а у меня установлена wxGTK-2.8.11 да еще и статическая.....
Придется копилировать и собирать в ручную....
IMHO, Qt Creator-таки рулит. ::) Ибо на моей практике он себя стабильнее всех ведёт (в отличие от С::В, КДевелоп и НетБинс). ;)
Единственное, что меня расстраивает в креаторе - это то, что алиасы пространств имён не рюхает... У них баг такой давно уже заведён, версия новая вышла, а баг не пофиксили, жадины...  >:(

ЗЫ: Ты как потестишь, сообщи результаты, ОК? Интересно...  :)

ОК, сообщу. Ток все-равно С::В чет не запускается.... Выскакивает сплэш и все... тишина....

Qt хорошая штука, но тоже со своими заморочками, про стабильность Creator'a спорное мнение.... C::В еще не известно, никак не разберусь с ним, но вот  CodeLite стабильно работает ....  в Линуксе на CodeLite так же удобно как в винде в Visual C++....
На сколько я знаю из краткого знакомства с Qt там своеобразный С++, в wxWidgets более классический С++ (хотя например пространств имен в wxWidgets вообще нет, но сам С++ что называется самый чистый...).